Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(399)

Issue 329860043: Refactor WifiPhy and WifiPhyStateHelper to eliminate circular declaration of classes (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 months, 1 week ago by ammo6818-vandals.uidaho.edu
Modified:
2 months, 3 weeks ago
Reviewers:
S. Deronne
CC:
ns-3-reviews_googlegroups.com
Visibility:
Public.

Description

Refactor WifiPhy and WifiPhyStateHelper to eliminate circular declaration of classes

Patch Set 1 #

Total comments: 8

Patch Set 2 : Updates for review comments #

Total comments: 8

Patch Set 3 : Updates for review comments #

Total comments: 12

Patch Set 4 : Updated patch set for review comments #

Total comments: 10

Patch Set 5 : Updated patch to address review comments #

Total comments: 2

Patch Set 6 : Updates for final review comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+633 lines, -495 lines) Patch
M examples/wireless/power-adaptation-interference.cc View 1 2 chunks +6 lines, -6 lines 0 comments Download
M examples/wireless/wifi-ap.cc View 1 2 3 2 chunks +2 lines, -2 lines 0 comments Download
M examples/wireless/wifi-sleep.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M src/energy/examples/basic-energy-model-test.cc View 1 5 chunks +16 lines, -16 lines 0 comments Download
M src/test/traced/traced-callback-typedef-test-suite.cc View 1 1 chunk +1 line, -1 line 0 comments Download
M src/wifi/helper/athstats-helper.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M src/wifi/helper/athstats-helper.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M src/wifi/helper/wifi-helper.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M src/wifi/model/wifi-mac-queue.h View 1 2 3 2 chunks +2 lines, -85 lines 0 comments Download
M src/wifi/model/wifi-mac-queue.cc View 1 2 1 chunk +0 lines, -55 lines 0 comments Download
A src/wifi/model/wifi-mac-queue-item.h View 1 2 3 4 1 chunk +121 lines, -0 lines 0 comments Download
A src/wifi/model/wifi-mac-queue-item.cc View 1 2 3 4 1 chunk +90 lines, -0 lines 0 comments Download
M src/wifi/model/wifi-phy.h View 1 2 3 4 5 5 chunks +5 lines, -139 lines 0 comments Download
M src/wifi/model/wifi-phy.cc View 1 2 3 4 5 15 chunks +54 lines, -62 lines 0 comments Download
A src/wifi/model/wifi-phy-listener.h View 1 2 3 4 1 chunk +124 lines, -0 lines 0 comments Download
A src/wifi/model/wifi-phy-state.h View 1 2 3 4 1 chunk +61 lines, -0 lines 0 comments Download
M src/wifi/model/wifi-phy-state-helper.h View 1 2 3 4 7 chunks +26 lines, -9 lines 0 comments Download
M src/wifi/model/wifi-phy-state-helper.cc View 1 2 3 4 15 chunks +57 lines, -57 lines 0 comments Download
M src/wifi/model/wifi-radio-energy-model.h View 1 2 3 4 3 chunks +3 lines, -3 lines 0 comments Download
M src/wifi/model/wifi-radio-energy-model.cc View 1 2 3 4 22 chunks +57 lines, -57 lines 0 comments Download
M src/wifi/wscript View 1 2 3 2 chunks +4 lines, -0 lines 0 comments Download

Messages

Total messages: 14
S. Deronne
https://codereview.appspot.com/329860043/diff/1/examples/wireless/wifi-ap.cc File examples/wireless/wifi-ap.cc (right): https://codereview.appspot.com/329860043/diff/1/examples/wireless/wifi-ap.cc#newcode73 examples/wireless/wifi-ap.cc:73: PhyStateTrace (std::string context, Time start, Time duration, enum WifiPhyState::State ...
9 months, 2 weeks ago (2017-08-05 12:13:38 UTC) #1
ammo6818-vandals.uidaho.edu
Patch updated to address review comments. https://codereview.appspot.com/329860043/diff/1/examples/wireless/wifi-ap.cc File examples/wireless/wifi-ap.cc (right): https://codereview.appspot.com/329860043/diff/1/examples/wireless/wifi-ap.cc#newcode73 examples/wireless/wifi-ap.cc:73: PhyStateTrace (std::string context, ...
3 months, 1 week ago (2018-02-12 04:02:16 UTC) #2
S. Deronne
OK in general, but please also invite Tom and Stefano to this review. https://codereview.appspot.com/329860043/diff/20001/src/wifi/model/wifi-mac-queue-item.h File ...
3 months, 1 week ago (2018-02-13 21:08:16 UTC) #3
ammo6818-vandals.uidaho.edu
Updates for review comments uploaded. https://codereview.appspot.com/329860043/diff/20001/src/wifi/model/wifi-mac-queue-item.h File src/wifi/model/wifi-mac-queue-item.h (right): https://codereview.appspot.com/329860043/diff/20001/src/wifi/model/wifi-mac-queue-item.h#newcode116 src/wifi/model/wifi-mac-queue-item.h:116: #ifndef _WIN32 On 2018/02/13 ...
3 months ago (2018-02-18 05:37:45 UTC) #4
S. Deronne
I would still like to have this included in the next release, could you address ...
2 months, 4 weeks ago (2018-02-23 20:25:56 UTC) #5
ammo6818-vandals.uidaho.edu
Updated patch to address review comments uploaded. https://codereview.appspot.com/329860043/diff/40001/src/wifi/helper/athstats-helper.cc File src/wifi/helper/athstats-helper.cc (right): https://codereview.appspot.com/329860043/diff/40001/src/wifi/helper/athstats-helper.cc#newcode209 src/wifi/helper/athstats-helper.cc:209: AthstatsWifiTraceSink::PhyRxOkTrace (std::string ...
2 months, 3 weeks ago (2018-02-25 10:41:45 UTC) #6
S. Deronne
https://codereview.appspot.com/329860043/diff/70001/examples/wireless/power-adaptation-distance.cc File examples/wireless/power-adaptation-distance.cc (right): https://codereview.appspot.com/329860043/diff/70001/examples/wireless/power-adaptation-distance.cc#newcode350 examples/wireless/power-adaptation-distance.cc:350: wifi.SetRemoteStationManager (manager, "DefaultTxPowerLevel", UintegerValue (static_cast<uint64_t>(maxPower)), "RtsCtsThreshold", UintegerValue (rtsThreshold)); why ...
2 months, 3 weeks ago (2018-02-25 17:49:53 UTC) #7
ammo6818-vandals.uidaho.edu
Updated patch set uploaded to address review comments
2 months, 3 weeks ago (2018-02-26 12:49:54 UTC) #8
S. Deronne
Thanks, please address remaining comments so that I can check with Tom if we can ...
2 months, 3 weeks ago (2018-02-26 13:33:59 UTC) #9
ammo6818-vandals.uidaho.edu
Updated patch to address review comments uploaded. https://codereview.appspot.com/329860043/diff/170001/src/wifi/model/wifi-mac-queue-item.cc File src/wifi/model/wifi-mac-queue-item.cc (right): https://codereview.appspot.com/329860043/diff/170001/src/wifi/model/wifi-mac-queue-item.cc#newcode91 src/wifi/model/wifi-mac-queue-item.cc:91: NS_OBJECT_TEMPLATE_CLASS_DEFINE(Queue, WifiMacQueueItem); ...
2 months, 3 weeks ago (2018-02-27 12:31:17 UTC) #10
S. Deronne
https://codereview.appspot.com/329860043/diff/190001/src/wifi/model/wifi-phy-state-helper.h File src/wifi/model/wifi-phy-state-helper.h (right): https://codereview.appspot.com/329860043/diff/190001/src/wifi/model/wifi-phy-state-helper.h#newcode52 src/wifi/model/wifi-phy-state-helper.h:52: typedef Callback<void, Ptr<Packet>, double> RxErrorCallback; Why is it not ...
2 months, 3 weeks ago (2018-02-27 12:42:05 UTC) #11
S. Deronne
I am busy to update your patch, then I'll see with Tom how to proceed ...
2 months, 3 weeks ago (2018-02-28 09:59:22 UTC) #12
ammo6818-vandals.uidaho.edu
Updates for last review comment uploaded. https://codereview.appspot.com/329860043/diff/190001/src/wifi/model/wifi-phy-state-helper.h File src/wifi/model/wifi-phy-state-helper.h (right): https://codereview.appspot.com/329860043/diff/190001/src/wifi/model/wifi-phy-state-helper.h#newcode52 src/wifi/model/wifi-phy-state-helper.h:52: typedef Callback<void, Ptr<Packet>, ...
2 months, 3 weeks ago (2018-02-28 11:19:44 UTC) #13
S. Deronne
2 months, 3 weeks ago (2018-03-02 21:21:52 UTC) #14
Thanks, I fixed some header inclusions and pushed to ns-3-dev.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld e4aa27b